# no menu for the moment, as there is still a console interface

Summary: GSstreamer webcasting software
Name: acast
Version: 0.18
Release: %mkrel 5
License: GPL
Group: Sound
URL: http://zaheer.merali.org/mediawiki/index.php/Acast
Source: http://live.hujjat.org/acast/%{name}-%{version}.tar.bz2
Patch: acast-0.18-fix.patch.bz2 
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
BuildRequires: gstreamer-plugins-devel 
BuildRequires: gtk2-devel 
BuildRequires: libcddb-slave2-devel
BuildRequires: perl-XML-Parser
Requires:      gstreamer-vorbis gstreamer-icecast

%description
Acast is a program for webcasting audio from your sound device to a variety of
different streaming servers, with tha ability to record the stream on disk.

Based on Gstreamer, it offer a wide variety of output format, such as vorbis, 
speex or mp3, if the corrsponding plugin are installed.

%prep
%setup -q
%patch0 -p0

%build
%configure2_5x
%make
cat > README.install.urpmi << EOF
In order to stream mp3, you will need to install gstreamer-lame.

And to have the visualisation option, you need gstreamer-visualisation.
EOF

%install
rm -rf $RPM_BUILD_ROOT 
make DESTDIR=%buildroot install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING README TODO config
%doc README.install.urpmi
%_bindir/*
%_datadir/%name
%_datadir/applications/acast.desktop
%_datadir/pixmaps/acast.png


%changelog
* Wed Aug 02 2006 Frederic Crozat <fcrozat@mandriva.com> 0.18-5mdv2007.0
- Rebuild with latest dbus

* Mon Jun 26 2006 Lenny Cartier <lenny@mandriva.com> 0.18-4mdv2007.0
- rebuild

* Sun Mar 19 2006 Michael Scherer <misc@mandriva.org> 0.18-3mdk
- Rebuild for new openssl

* Fri Jul 29 2005 Nicolas Lcureuil <neoclust@mandriva.org> 0.18-2mdk
- Fix BuildRequires

* Thu Jun 30 2005 Michael Scherer <misc@mandriva.org> 0.18-1mdk
- first Mandriva rpm, based on existing spec from Michael A. Peters
- patch from Zaheer Merali to fix freeze when no visualisation plugin installed

* Sun Jan 30 2005 Michael A. Peters <mpeters@mac.com>
- rpmlint cleanup

* Fri Nov 12 2004 Michael A. Peters <mpeters@mac.com>
- Build in FC3

* Mon Oct 18 2004  <admin@devel.mpeters.us> - 
- Initial build.
